package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "DESENSITIZATION_TABLE"
)
public class DesensitizationTable extends TBaseEntity implements Comparable<DesensitizationTable> {
   private String taskid;
   private String tablename;
   private String mappingkey;
   private String status;
   private String filestructureid;
   private String filename;
   private String filepath;
   private String sqlFilter;
   private String t_tablename;
   @Column(
      length = 5000
   )
   private String create_sql;

   public String getT_tablename() {
      return this.t_tablename;
   }

   public void setT_tablename(String t_tablename) {
      this.t_tablename = t_tablename;
   }

   public String getSqlFilter() {
      return this.sqlFilter;
   }

   public void setSqlFilter(String sqlFilter) {
      this.sqlFilter = sqlFilter;
   }

   public String getStatus() {
      return this.status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getCreate_sql() {
      return this.create_sql;
   }

   public void setCreate_sql(String create_sql) {
      this.create_sql = create_sql;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getMappingkey() {
      return this.mappingkey;
   }

   public void setMappingkey(String mappingkey) {
      this.mappingkey = mappingkey;
   }

   public String getFilestructureid() {
      return this.filestructureid;
   }

   public void setFilestructureid(String filestructureid) {
      this.filestructureid = filestructureid;
   }

   public String getFilename() {
      return this.filename;
   }

   public void setFilename(String filename) {
      this.filename = filename;
   }

   public String getFilepath() {
      return this.filepath;
   }

   public void setFilepath(String filepath) {
      this.filepath = filepath;
   }

   public String toString() {
      return "DesensitizationTable [taskid=" + this.taskid + ", tablename=" + this.tablename + ", mappingkey=" + this.mappingkey + ", status=" + this.status + ", filestructureid=" + this.filestructureid + ", filename=" + this.filename + ", filepath=" + this.filepath + ", create_sql=" + this.create_sql + "]";
   }

   public int compareTo(DesensitizationTable dt) {
      int i = Integer.parseInt(this.getNote()) - Integer.parseInt(dt.getNote());
      return i == 0 ? Integer.parseInt(this.getNote()) - Integer.parseInt(dt.getNote()) : i;
   }
}
